            #GIT_CMT=13c2e4b012a765f31b0e9d0a1fdd842383a9f3de
%define uek2epoch 2
%define uek4epoch 4
%define uek5epoch 5

%define RELEASE 1.0.8
%{?el7:%define uektag uek4}

Name: libibverbs
Epoch: %{uek4epoch}
Version: 1.1.8
Release: %{RELEASE}%{?dist}%{?uektag}
Summary: A library for direct userspace use of RDMA (InfiniBand/iWARP) hardware

Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://openfabrics.org/
Source: libibverbs-1.1.8.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: kernel-uek >= 4.1.6-13
Requires: kernel-uek < 4.14.14-11

%description
libibverbs is a library that allows userspace processes to use RDMA
"verbs" as described in the InfiniBand Architecture Specification and
the RDMA Protocol Verbs Specification.  This includes direct hardware
access from userspace to InfiniBand/iWARP adapters (kernel bypass) for
fast path operations.

For this library to be useful, a device-specific plug-in module should
also be installed.

%package devel
Summary: Development files for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}

%description devel
Header files for the libibverbs library.

%package devel-static
Summary: Static development files for the libibverbs library
Group: System Environment/Libraries

%description devel-static
Static libraries for the libibverbs library.

%package utils
Summary: Examples for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}

%description utils
Useful libibverbs1 example programs such as ibv_devinfo, which
displays information about RDMA devices.

%prep
%setup -q -n %{name}-1.1.8

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libibverbs*.so.*
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*

%files devel-static
%defattr(-,root,root,-)
%{_libdir}/*.a

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jun 11 2018 Aron Silverton <aron.silverton@oracle.com> - 4:1.1.8-1.0.8
- libibverbs: Release v4:1.1.8-1.0.8 (Aron Silverton)  [Orabug: 27593051] [Orabug: 27959252] [Orabug: 27934606] 
- libibverbs: Add "uek4" token to OL7 package (Aron Silverton)  [Orabug: 27934606] 
- libibverbs: Restrict useage to UEK4 kernels (Aron Silverton)  [Orabug: 27959252] 
- libibverbs: Add Epoch to package versioning (Aron Silverton)  [Orabug: 27593051] 

* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.1.8-1.0.7
- BUILDINFO: commit=910b57f71033835536a694178ce8acd57ed4eb8d
- libibverbs: Bump release number or udpates (Mukesh Kacker)  
- libibverbs: Remove atexit and destructors (Jason Gunthorpe)  
- libibverbs: consolidate spec files for ol6,ol7 that are identical (Mukesh Kacker)

* Sun Oct 30 2016 shamir rabinovitch <shamir.rabinovitch@oracle.com> - 1.1.8-1.0.6
- BUILDINFO: commit=646fa78e15692d78cd09cd1db864850c6c2080cb
- libibverbs: Bump up release number (shamir rabinovitch)  
- Fix exchange message size in ibv_xsrq_pinpong example (Noa Osherovich)

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.1.8-1.0.5
- libibverbs: Bump up release number (Mukesh Kacker)  
- XRC - remove dead-code (Yishai Hadas)  
- XRC compat issue (Yishai Hadas)  
- libibverbs: XRC source compat layer (Yishai Hadas)  
- libibverbs: XRC binary compat layer (Yishai Hadas)

* Tue Sep 15 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.1.8-1.0.4
- libibverbs: Bump up release number and kernel-uek for Shared PD and User FMR (Mukesh Kacker)  
- libibverbs: Add the example ibv_shpd_pingpong (Mukesh Kacker)  
- libibverbs: Add man page for user level FMR verbs (Mukesh Kacker)  
- libverbs: Add Userlevel FMR support (Mukesh Kacker)  
- libibverbs: Add Shared PD man pages (Mukesh Kacker)  
- libibibverbs: Add Shared PD support (Mukesh Kacker)  
- libibverbs: Add ol7/ dir with spec file for builds on OL7 (Mukesh Kacker)  
- libibverbs: Fix Changelog date problems inherited from upstream (Mukesh Kacker)  
- libibverbs: Make release number manually maintained (Mukesh Kacker)

* Mon May 18 2015 Knut Omang <knut.omang@oracle.com> - 1.1.8-1.0.2.el6
- Provide remote XRC SRQ number in kernel post_send. (Knut Omang)  
- Add padding to get proper end alignment of ibv_reg_mr_resp (Knut Omang)  
- Add new call ibv_cmd_create_ah_ex which allows extra parameters to be passed through (Knut Omang)  
- libibverbs: bump kernel version depedency for psif patches (Mukesh Kacker)

* Mon May 05 2014 Roland Dreier <roland@digitalvampire.org> - 1.1.8-1
- New upstream release

* Tue May 28 2013 Roland Dreier <roland@digitalvampire.org> - 1.1.7-1
- New upstream release

* Wed Dec 21 2011 Roland Dreier <roland@digitalvampire.org> - 1.1.6-1
- New upstream release

* Tue Jun 28 2011 Roland Dreier <roland@digitalvampire.org> - 1.1.5-1
- New upstream release

* Thu Jun 03 2010 Roland Dreier <rdreier@cisco.com> - 1.1.4-1
- New upstream release

* Thu Oct 29 2009 Roland Dreier <rdreier@cisco.com> - 1.1.3-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 16 2008 Roland Dreier <rdreier@cisco.com> - 1.1.2-1
- New upstream release
- Update description to mention RDMA and iWARP, not just InfiniBand
- Add "Requires" tag for libibverbs base package to -devel

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.1-3
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.1.1-2
- Rebuild for selinux ppc32 issue.

* Fri Jun 15 2007 Roland Dreier <rdreier@cisco.com> - 1.1.1-1
- New upstream release

* Wed Apr 11 2007 Roland Dreier <rdreier@cisco.com> - 1.1-1
- New upstream release

* Mon May 22 2006 Roland Dreier <rdreier@cisco.com> - 1.1-0.1.rc2
- New upstream release
- Remove dependency on libsysfs, since it is no longer used
- Put section 3 manpages in devel package.
- Spec file cleanups: remove unused ver macro, improve BuildRoot, add
  Requires for /sbin/ldconfig, split static libraries into
  devel-static package, and don't use makeinstall any more (all
  suggested by Doug Ledford <dledford@redhat.com>).

* Thu May 04 2006 Roland Dreier <rdreier@cisco.com> - 1.0.4-1
- New upstream release

* Tue Mar 14 2006 Roland Dreier <rdreier@cisco.com> - 1.0.3-1
- New upstream release

* Mon Mar 13 2006 Roland Dreier <rdreier@cisco.com> - 1.0.1-1
- New upstream release

* Thu Feb 16 2006 Roland Dreier <rdreier@cisco.com> - 1.0-1
- New upstream release

* Wed Feb 15 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.5.rc7
- New upstream release

* Sun Jan 22 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.4.rc6
- New upstream release

* Tue Oct 25 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.3.rc5
- New upstream release

* Wed Oct 05 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.2.rc4
- Update to upstream 1.0-rc4 release

* Mon Sep 26 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.1.rc3
- Initial attempt at Fedora Extras-compliant spec file

